Page MenuHomePhabricator

[Story] Allow usage of more entities on client pages via Lua
Closed, ResolvedPublic

Description

I want to be able to process vast list of items in lua to for example to show list articles that use a lot items from wikidata.
Currently it is not possible to view the page, because Lua is running out of memory.

Event Timeline

Lydia_Pintscher raised the priority of this task from to High.
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher added a subscriber: Lydia_Pintscher.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 8 2015, 2:15 PM
hoo added a subscriber: hoo.Oct 2 2015, 12:35 PM
hoo updated the task description. (Show Details)Oct 2 2015, 5:06 PM
hoo set Security to None.
hoo updated the task description. (Show Details)Oct 2 2015, 5:10 PM

Change 243214 had a related patch set uploaded (by Hoo man):
Use an LRU cache for caching entities in Lua

https://gerrit.wikimedia.org/r/243214

Change 243214 merged by jenkins-bot:
Use an LRU cache for caching entities in Lua

https://gerrit.wikimedia.org/r/243214

hoo closed this task as Resolved.Oct 8 2015, 2:59 PM
hoo claimed this task.
hoo removed a project: Patch-For-Review.